Debian Bug report logs - #653198
please build for Multi-Arch

version graph

Package: libgphoto2; Maintainer for libgphoto2 is Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>;

Reported by: Kees Cook <kees@debian.org>

Date: Sun, 25 Dec 2011 02:00:01 UTC

Severity: normal

Tags: patch

Found in version 2.4.11-3.1

Fixed in version libgphoto2/2.4.11-4

Done: David Paleino <dapal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#653198; Package libgphoto2. (Sun, 25 Dec 2011 02:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
New Bug report received and forwarded. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sun, 25 Dec 2011 02:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Subject: please build for Multi-Arch
Date: Sat, 24 Dec 2011 17:57:12 -0800
[Message part 1 (text/plain, inline)]
Package: libgphoto2
Version: 2.4.11-3.1
Severity: normal
Tags: patch

Hello!

In an effort to reach the Multi-Arch release goal, here is a patch to
build libgphoto2 for Multi-Arch, along with a few other subtle fixes. :)

Thanks!

-Kees

-- 
Kees Cook                                            @debian.org
[libgphoto2_2.4.11-3.2.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, 653198-submitter@bugs.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#653198; Package libgphoto2. (Thu, 29 Dec 2011 23:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to 653198-submitter@bugs.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Thu, 29 Dec 2011 23:27:13 GMT) Full text and rfc822 format available.

Message #10 received at 653198@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <653198@bugs.debian.org>
Subject: Re: please build for Multi-Arch
Date: Thu, 29 Dec 2011 15:25:26 -0800
[Message part 1 (text/plain, inline)]
Package: libgphoto2
Version: 2.4.11-3.1
Followup-For: Bug #653198
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi folks,

Please find attached a tweaked version of this patch, which is being
uploaded to Ubuntu for multiarch support.

Differences from Kees's patch are:

 - print-camera-list doesn't need to be moved to the -dev package; it's
   shipped in an architecture-qualified path already, and it's a runtime
   tool so there's no reason to move it.

 - dh_makeshlibs seems to have problems with properly excluding DSOs from
   generated symbols files when these DSOs are installed to a multiarch
   path.  I've reported bug #653640 for this issue, but have also added a
   workaround to debian/rules.

Thanks for considering the patch.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[libgphoto2_2.4.11-3.1ubuntu1.debdiff (text/x-diff, attachment)]

Reply sent to David Paleino <dapal@debian.org>:
You have taken responsibility. (Fri, 30 Dec 2011 00:51:09 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@debian.org>:
Bug acknowledged by developer. (Fri, 30 Dec 2011 00:51:09 GMT) Full text and rfc822 format available.

Message #15 received at 653198-close@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 653198-close@bugs.debian.org
Subject: Bug#653198: fixed in libgphoto2 2.4.11-4
Date: Fri, 30 Dec 2011 00:47:31 +0000
Source: libgphoto2
Source-Version: 2.4.11-4

We believe that the bug you reported is fixed in the latest version of
libgphoto2, which is due to be installed in the Debian FTP archive:

libgphoto2-2-dev_2.4.11-4_i386.deb
  to main/libg/libgphoto2/libgphoto2-2-dev_2.4.11-4_i386.deb
libgphoto2-2_2.4.11-4_i386.deb
  to main/libg/libgphoto2/libgphoto2-2_2.4.11-4_i386.deb
libgphoto2-dev-doc_2.4.11-4_all.deb
  to main/libg/libgphoto2/libgphoto2-dev-doc_2.4.11-4_all.deb
libgphoto2-l10n_2.4.11-4_all.deb
  to main/libg/libgphoto2/libgphoto2-l10n_2.4.11-4_all.deb
libgphoto2-port0_2.4.11-4_i386.deb
  to main/libg/libgphoto2/libgphoto2-port0_2.4.11-4_i386.deb
libgphoto2_2.4.11-4.debian.tar.gz
  to main/libg/libgphoto2/libgphoto2_2.4.11-4.debian.tar.gz
libgphoto2_2.4.11-4.dsc
  to main/libg/libgphoto2/libgphoto2_2.4.11-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653198@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Paleino <dapal@debian.org> (supplier of updated libgphoto2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Dec 2011 01:30:11 +0100
Source: libgphoto2
Binary: libgphoto2-2-dev libgphoto2-dev-doc libgphoto2-port0 libgphoto2-2 libgphoto2-l10n
Architecture: source i386 all
Version: 2.4.11-4
Distribution: unstable
Urgency: low
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Changed-By: David Paleino <dapal@debian.org>
Description: 
 libgphoto2-2 - gphoto2 digital camera library
 libgphoto2-2-dev - gphoto2 digital camera library (development files)
 libgphoto2-dev-doc - gphoto2 digital camera library (development documentation)
 libgphoto2-l10n - gphoto2 digital camera library - localized messages
 libgphoto2-port0 - gphoto2 digital camera port library
Closes: 649137 653198
Changes: 
 libgphoto2 (2.4.11-4) unstable; urgency=low
 .
   * Acknowledge NMU.
   * Avoid -Wformat-security warnings, thanks to Kees Cook.
   * Multi-Archified package, thanks to Kees Cook and Steve Langasek
     (Closes: #653198)
   * Support (and recommend) udev >= 175 (Closes: #649137)
Checksums-Sha1: 
 7076248d732236bbc8535464d7cd02adfecddeb2 1871 libgphoto2_2.4.11-4.dsc
 7c16cfe6bbf41589e10fda30721d8d5685564c91 27192 libgphoto2_2.4.11-4.debian.tar.gz
 823a34909cc3515e036dc14ab215271f9d96d7f9 2476790 libgphoto2-2-dev_2.4.11-4_i386.deb
 56fe85ed5d87e4e8a877a5edff07f1665e4ad6d2 2965878 libgphoto2-dev-doc_2.4.11-4_all.deb
 0fa88afc10903d0dec79669ee164de51f4540195 153738 libgphoto2-port0_2.4.11-4_i386.deb
 c9972610159a21a6cadcf73777b60c4d27414523 1028476 libgphoto2-2_2.4.11-4_i386.deb
 c4fc1b7d5a043155a4151b47168a8c4c01821bd5 743712 libgphoto2-l10n_2.4.11-4_all.deb
Checksums-Sha256: 
 4f6019b42c7cde709e67fbe47b583816cf3b755321c4199fee3c1a2122ed71a3 1871 libgphoto2_2.4.11-4.dsc
 ec33bddf2aeba2875a1e7e1a6d598874b010f4cc0ae5f49ad7d9c74545da417e 27192 libgphoto2_2.4.11-4.debian.tar.gz
 606b6c19fb315def6d822fd09750f9749ea238dd0409881e9446653d7db661a2 2476790 libgphoto2-2-dev_2.4.11-4_i386.deb
 fe87cd783600a7091fc22a0f9a2700e7de7d29e5894acff5a99a4f8a32795993 2965878 libgphoto2-dev-doc_2.4.11-4_all.deb
 8d9774f7304540b329797979e27ed0b5d42099faac48509783b28679c8fa8746 153738 libgphoto2-port0_2.4.11-4_i386.deb
 776acffdfe20b0e1d78a77aed731449ae4d78693d5977f928aca2acdf1cbb904 1028476 libgphoto2-2_2.4.11-4_i386.deb
 76b1ceab23e4c463d3f32aa9c86d12ae07539ba53946faaf6840a5cdf8991003 743712 libgphoto2-l10n_2.4.11-4_all.deb
Files: 
 516736d9a7abcdef112769480b0db6df 1871 libs optional libgphoto2_2.4.11-4.dsc
 9e8b9d966cf511e02fd3d35df8e9c7ad 27192 libs optional libgphoto2_2.4.11-4.debian.tar.gz
 e301222b0e934ce35376788a9c1eef53 2476790 libdevel optional libgphoto2-2-dev_2.4.11-4_i386.deb
 9d453ce9231632429caed952c54c1a4c 2965878 doc optional libgphoto2-dev-doc_2.4.11-4_all.deb
 48f59d37763be6d77abb556d08ee74e9 153738 libs optional libgphoto2-port0_2.4.11-4_i386.deb
 4c6cbd87b76f63302cfbde360b78ee7f 1028476 libs optional libgphoto2-2_2.4.11-4_i386.deb
 cbac8f8e1cf702afdc6e723dbf315d02 743712 localization optional libgphoto2-l10n_2.4.11-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk79CGwACgkQ5qqQFxOSsXTtzgCgh+e7Y6MzR8Gtz2VkEfIJlTD3
BfsAnin+7jIRL2FlTUE1Xk9uljY54lNS
=6mV1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Feb 2012 07:43:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:52:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.